apply plugin: 'com.android.library'
apply plugin: 'com.jakewharton.butterknife'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"
        flavorDimensions "default"

        javaCompileOptions {

            annotationProcessorOptions {

                arguments = [moduleName: project.getName()]

            }
        }

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    productFlavors {
        //开发环境
        dev {
        }
        sit {
        }
        pro {
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    api 'com.jakewharton:butterknife:9.0.0-rc1'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    implementation 'com.android.support:appcompat-v7:28.0.0'
    annotationProcessor 'com.jakewharton:butterknife-compiler:9.0.0-rc1'
    annotationProcessor 'com.alibaba:arouter-compiler:1.1.4'
    implementation 'com.github.zcweng:switch-button:0.0.3@aar'
    implementation 'com.alibaba:fastjson:1.2.21'
    api project(':component_dialog')
    api project(':plugin_search')
    api project(':RvWrapper')
    api project(':component_control')
    api project(':component_resource')
    api project(':plugin_coupon')
    api project(':plugin_poster')

}
